public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Michał Górny" <mgorny@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/pytest-console-scripts/
Date: Tue, 23 May 2023 05:07:23 +0000 (UTC)	[thread overview]
Message-ID: <1684818433.fa98bf071eb8052a416a5ffe01ef342a578ccf89.mgorny@gentoo> (raw)

commit:     fa98bf071eb8052a416a5ffe01ef342a578ccf89
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Tue May 23 04:54:44 2023 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Tue May 23 05:07:13 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=fa98bf07

dev-python/pytest-console-scripts: Bump to 1.4.0

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/pytest-console-scripts/Manifest         |  1 +
 .../pytest-console-scripts-1.4.0.ebuild            | 39 ++++++++++++++++++++++
 2 files changed, 40 insertions(+)

diff --git a/dev-python/pytest-console-scripts/Manifest b/dev-python/pytest-console-scripts/Manifest
index 90c710e59c7f..c4475938be5f 100644
--- a/dev-python/pytest-console-scripts/Manifest
+++ b/dev-python/pytest-console-scripts/Manifest
@@ -1 +1,2 @@
 DIST pytest-console-scripts-1.3.1.tar.gz 14238 BLAKE2B 2c00af468d19500078f48ca38d20430ed426e66b2277b7ad233356969d2a72d51cf60e90a46ae7808e6d33172fa053cc34d45b1f618d866dd14e917e6b225935 SHA512 344e9379976d9a7541f9683f7646b47f7fc25d2ab8d941351811ada7fddd77497cc24f4bc6a6d5ab9388dd5b289ed125bcbfad869009fb3b80aaaa1b951d656d
+DIST pytest-console-scripts-1.4.0.tar.gz 19718 BLAKE2B 51508bdd60c3100bd74611ab640e6346207d2310d60099af5ce5d5d056cb379e250e49e5cd78c65f276c43797405471c1478896543b89e9415577acf5c6bc6bc SHA512 ccfc9032a05934fb12b5f29052f5335fc37c90f5bbbc2a31b0bd422c3a04a1cc23fbc23fb3537415905ac1dba9d6ea916e2ae0b659330189f0184a8e70f4eff1

diff --git a/dev-python/pytest-console-scripts/pytest-console-scripts-1.4.0.ebuild b/dev-python/pytest-console-scripts/pytest-console-scripts-1.4.0.ebuild
new file mode 100644
index 000000000000..567b5764c6c4
--- /dev/null
+++ b/dev-python/pytest-console-scripts/pytest-console-scripts-1.4.0.ebuild
@@ -0,0 +1,39 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYPI_NO_NORMALIZE=1
+PYTHON_COMPAT=( python3_{10..11} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Pytest plugin for testing console scripts"
+HOMEPAGE="https://github.com/kvas-it/pytest-console-scripts"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+
+RDEPEND="
+	>=dev-python/pytest-4.0.0[${PYTHON_USEDEP}]
+"
+BDEPEND="
+	dev-python/setuptools-scm[${PYTHON_USEDEP}]
+"
+
+distutils_enable_tests pytest
+
+python_test() {
+	local script="${BUILD_DIR}/install${EPREFIX}/usr/bin/pytest"
+	cat > "${script}" <<-EOF
+		#!/usr/bin/env python
+		import pytest
+		import sys
+		sys.exit(pytest.console_main())
+	EOF
+	chmod +x "${script}" || die
+	epytest -x
+	rm "${script}" || die
+}


             reply	other threads:[~2023-05-23  5:07 UTC|newest]

Thread overview: 37+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2023-05-23  5:07 Michał Górny [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-05-28  4:45 [gentoo-commits] repo/gentoo:master commit in: dev-python/pytest-console-scripts/ Michał Górny
2024-01-28 19:37 Michał Górny
2023-11-16 16:35 Michał Górny
2023-06-27 12:01 Michał Górny
2023-06-27  6:43 Sam James
2023-06-08  7:23 Michał Górny
2023-05-26 21:12 Arthur Zamarin
2023-03-23  0:43 Sam James
2023-03-17 15:23 Michał Górny
2022-12-04 15:59 WANG Xuerui
2022-06-05  5:46 Michał Górny
2022-05-14 17:46 Arthur Zamarin
2022-04-19 13:39 Michał Górny
2022-04-19 11:41 Arthur Zamarin
2022-03-26 18:20 Arthur Zamarin
2022-03-26 17:07 Arthur Zamarin
2022-03-18 22:28 Michał Górny
2022-03-12 20:07 Arthur Zamarin
2022-03-06 23:43 Sam James
2022-03-06  7:51 Sam James
2022-02-27 16:38 Sam James
2022-02-27 12:29 Jakov Smolić
2022-02-27 12:23 Jakov Smolić
2022-02-27 10:52 Michał Górny
2022-02-24 11:01 Michał Górny
2022-02-24  7:35 Michał Górny
2022-02-09 14:18 Yixun Lan
2022-02-08 17:38 Arthur Zamarin
2022-02-07 11:36 Sam James
2022-02-07 11:32 Sam James
2022-02-07 11:31 Sam James
2022-02-07 11:30 Sam James
2022-02-07 11:18 Sam James
2022-02-07  8:33 Sam James
2022-01-06 18:46 Arthur Zamarin
2021-09-09 13:39 Andrew Ammerlaan

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1684818433.fa98bf071eb8052a416a5ffe01ef342a578ccf89.mgorny@gentoo \
    --to=mgorny@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox